package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.service;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;

import javax.servlet.http.HttpServletRequest;

/**
 * @author jianggang
 * @Date 2019/6/10 18:03:21
 * @Description
 */
public interface TelecomOnlineTimeService {

    /**
     * 调用电信在网时长查询
     * @param channelId 通道id
     * @param ifJkCode  返回码类型
     * @param outTime 超时时间
     * @param customBody 查询参数
     * @return 返回转码之后的结果
     */
    ChannelTypeHandleResponseObject callTelecomOnlineTime(HttpServletRequest request,
                                                          String channelId,
                                                          String ifJkCode,
                                                          Integer outTime,
                                                          String customBody);
}
