package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.utils;

import lombok.extern.slf4j.Slf4j;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Map;

/**
 * Email:lixinxu@aspirecn.com
 * Descrption:
 */
@Slf4j
public class IdentityCardUpApiHttp {

    /**
     *
     *
     *
     * */
    public static String postApi(String urlStr, String apiKey, String username, String privateKey, Map<String, String> param, int outTime){
        StringBuilder builder = new StringBuilder();
        for (Map.Entry<String, String> entry : param.entrySet())
        {
            if (builder.length() > 0)
            {
                builder.append("&");
            }
            builder.append(entry.getKey()+"=");
            builder.append(entry.getValue());
        }
        String  desParam =  DESEncrypt.encode(privateKey, builder.toString());
        StringBuffer sbf = new StringBuffer();
        HttpURLConnection conn = null;
        BufferedReader reader = null;
        try
        {
            URL url = new URL(urlStr);
            conn = (HttpURLConnection) url.openConnection();
            conn.setRequestMethod("POST");
            conn.setConnectTimeout(outTime);
            conn.setReadTimeout(outTime);
            conn.setDoOutput(true);
            byte[] bytes = ("apiKey=" + apiKey + "&username=" + username + "&params=" + desParam).getBytes();
            conn.getOutputStream().write(bytes);
            conn.connect();
            InputStream inStream = conn.getInputStream();
            String strRead = null;
            reader = new BufferedReader(new InputStreamReader(inStream, "UTF-8"));
            while ((strRead = reader.readLine()) != null) {
                sbf.append(strRead);
                sbf.append("\r\n");
            }
        }
        catch (IOException e)
        {
            e.printStackTrace();
            log.info("supplier10000035.identityCardTwoPointCheck接口HttpIOException={}", urlStr);
        }
        finally
        {
            if (null != reader)
            {
                try
                {
                    reader.close();
                }
                catch (IOException e)
                {
                }
            }
            if (null != conn)
            {
                conn.disconnect();
            }
        }
        return  sbf.toString();
    }
}
