package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.vo;

import lombok.Data;
import lombok.ToString;


/**
 * 电信三要素接口返回解析对象
 * @author minmin
 *
 */

@Data
@ToString(callSuper = true, includeFieldNames = true)
public class DianXinThreeCheckResponseObject {
	/**提交响应码*/
    private String code;
    /**响应码对应描述*/
    private String msg;
    /**接口返回的具体内容*/
    private ThreeCheckChildResponseObject data;
    /**流水号*/
    private String serialno;

    @Data
    public class ThreeCheckChildResponseObject{
    	/**返回结果码：T(一致);F（不一致）；N（无法验证，可能参数有误）*/
        private String result;
        /**返回结果码解释*/
        private String message;
        /**查询时传入的姓名*/
        private String name;
        /**查询时传入的手机号*/
        private String phone;
        /**查询时传入的身份证*/
        private String identityCard;
    }
}
