package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 人脸比对请求参数
 */
@ApiModel(value = "人脸比对请求json串")
@Data
public class FaceCompareRequestObject {

    @ApiModelProperty(value = "姓名", required = true)
    private String name;

    @ApiModelProperty(value = "身份证号", required = true)
    private String idCode;

    @ApiModelProperty(value = "人脸图片全路径", required = true)
    private String faceFileName;
}
