package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.vo;

import lombok.Data;
import lombok.ToString;


/**
 * 联通三要素接口返回解析对象
 * @author minmin
 *
 */

@Data
@ToString(callSuper = true, includeFieldNames = true)
public class LianTongThreeCheckResponseObject {
	/**提交响应码*/
    private String code;
    /**响应码对应描述*/
    private String msg;
    /**接口返回的具体内容*/
    private LianTongThreeCheckChildResponseObject data;
    /**流水号*/
    private String serialno;

    @Data
    public class LianTongThreeCheckChildResponseObject{
    	/**是否收费：1收费*/
    	private String status;
    	/**返回结果码：00(一致);01（手机号一致，证件号和姓名不一致）；02（手机号和证件号一致，姓名不一致）
    	 * 03(手机号和姓名一致，证件号不一致)*/
        private String checkResult;
        /**返回结果码解释*/
        private String checkMessage;
        /**查询时传入的姓名*/
        private String name;
        /**查询时传入的手机号*/
        private String phone;
        /**查询时传入的身份证*/
        private String identityCard;
    }
}
